#!/bin/bash
INSTALL_INFO_FILE=/etc/Evermore/EIOffice/installinfo.cfg
FONT_PATH=/usr/X11R6/lib/X11/fonts/TrueType
LOG_FILE=/tmp/setuplog.txt
ARG1=$1

unzipJar () {
JRE_PATH=/tmp/EIOffice/Jre
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/charsets.pack.gz $JRE_PATH/lib/charsets.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/deploy.pack.gz $JRE_PATH/lib/deploy.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/javaws.pack.gz $JRE_PATH/lib/javaws.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/plugin.pack.gz $JRE_PATH/lib/plugin.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/rt.pack.gz $JRE_PATH/lib/rt.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/ext/bcprov-jdk14-124.pack.gz $JRE_PATH/lib/ext/bcprov-jdk14-124.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/ext/jai_core.pack.gz $JRE_PATH/lib/ext/jai_core.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/ext/jmf.pack.gz $JRE_PATH/lib/ext/jmf.jar
$JRE_PATH/bin/unpack200 -r $JRE_PATH/lib/ext/tools.pack.gz $JRE_PATH/lib/ext/tools.jar
}

newInstallMode () {
	if [ ! -e  $FONT_PATH ];then
		echo "create font dir" >> $LOG_FILE
		mkdir -p $FONT_PATH		
	fi
	echo "start copy fonts" >> $LOG_FILE
	cp  $progdir/font/* $FONT_PATH/
	chmod 444 $FONT_PATH/*.ttf

	echo "start unzip Jre" >> $LOG_FILE
	unzip $progdir/Jre.zip -d /tmp/EIOffice/ &> /dev/null
	unzipJar
	java_home=/tmp/EIOffice/Jre
	
	echo "start run dispose.jar" >> $LOG_FILE
	$java_home/bin/java -jar $progdir/dispose.jar $ARG1 2>/dev/null

	rm -rf /tmp/EIOffice
}

doClean () {
if [ ! -f  $INSTALL_INFO_FILE ];then
	rm -rf $line3
	rm -rf $line1/Jre
fi
}

PRG=$0

#
# resolve symlinks
#

while [ -h "$PRG" ]; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2> /dev/null >/dev/null; then
	PRG="$link"
    else
	PRG="`dirname $PRG`/$link"
    fi
done

progdir=`dirname $PRG`
progname=`basename $0`


if [ ! -w  /root ];then
	echo "only root can do that!"
	exit
fi

if test -n "$(pgrep -x compiz)"; then
	export AWT_TOOLKIT=MToolkit
else
	export AWT_TOOLKIT=XTOOlkit
fi

if test -f $INSTALL_INFO_FILE ; then
	exec 4<&0 0<$INSTALL_INFO_FILE
	read line1
	read line2
	read line3	
	exec 0<&4

	if [ -f $line1/Jre/bin/java ] && [ -f $line3/dispose.jar ] && [ -f $line3/disposelog.xml ]; then
		echo "start uninstallMode" >> $LOG_FILE
		java_home=$line1/Jre
		$java_home/bin/java -jar $progdir/dispose.jar 2>/dev/null
		doClean
	else
		echo "uninstall file error,start newInstallMode" >> $LOG_FILE
		rm -rf $line1
		rm -rf $line3
		rm -rf $INSTALL_INFO_FILE
		newInstallMode
	fi
else
	echo "start newInstallMode" >> $LOG_FILE
	newInstallMode
      
fi

echo "exit" >> $LOG_FILE
exit
